Zum Hauptinhalt springen
DELETE
/
v3
/
organizations
/
{org_id}
/
secrets
/
{secret_id}
Secret auf Organisationsebene löschen
curl --request DELETE \
  --url https://api.devin.ai/v3/organizations/{org_id}/secrets/{secret_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v3/organizations/{org_id}/secrets/{secret_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v3/organizations/{org_id}/secrets/{secret_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_at": 123,
  "created_by": "<string>",
  "is_sensitive": true,
  "key": "<string>",
  "note": "<string>",
  "secret_id": "<string>",
  "updated_at": 123,
  "updated_by": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Berechtigungen

Erfordert einen Servicebenutzer mit der Berechtigung ManageOrgSecrets auf Organisationsebene.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Pfadparameter

secret_id
string
erforderlich

Secret-ID (Präfix: secret-)

Beispiel:

"secret-abc123def456"

org_id
string
erforderlich

Organisations-ID (Präfix: org-)

Beispiel:

"org-abc123def456"

Antwort

Erfolgreiche Antwort

access_type
enum<string>
erforderlich
Verfügbare Optionen:
org,
personal
created_at
integer
erforderlich
created_by
string
erforderlich
is_sensitive
boolean
erforderlich
key
string | null
erforderlich
note
string | null
erforderlich
secret_id
string
erforderlich
secret_type
enum<string>
erforderlich
Verfügbare Optionen:
cookie,
key-value,
totp
updated_at
integer | null
updated_by
string | null